Bug 526004 - Review Request: fapg - Fast Audio Playlist Generator
Summary: Review Request: fapg - Fast Audio Playlist Generator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL: http://royale.zerezo.com/fapg/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 09:09 UTC by Paulo Roma Cavalcanti
Modified: 2009-10-12 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-12 12:42:33 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paulo Roma Cavalcanti 2009-09-28 09:09:23 UTC
Description of problem:

SRPM URL:
http://orion.lcg.ufrj.br/RPMS/src/atrpms/fapg-0.41-1.src.rpm

Spec URL: http://orion.lcg.ufrj.br/RPMS/SPECS/fapg.spec


FAPG means Fast Audio Playlist Generator.
It is a tool to generate list of audio files (Wav, MP3, Ogg, etc)
in various formats (M3U, PLS, HTML, etc).
It is very useful if you have a large amount of audio files 
and you want to quickly and frequently build a playlist.

It is coded in C to be as fast as possible, and does not use 
any specific audio library (like ID3Lib).
This allow you to deploy it faster and easier, and to have 
better performances since the less informations are loaded.
In the other hand, this tool is not (yet) compatible with 
all the known formats.

--------------------------------------------------

Very simple package with a single BR: uriparser-devel

rpmlint output is clean.  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Martin Gieseking 2009-09-30 07:45:54 UTC
Some quick comments:

- change the license tag to GPLv2+ as the file header of fapg.c says "or (at your option) any later version"

- in the %files section, replace %defattr(-, root, root) by %defattr(-,root,root,-)

- replace %{_mandir}/man1/%{name}.1.gz by %{_mandir}/man1/%{name}.1* to avoid relying on a certain compression format

Comment 2 Paulo Roma Cavalcanti 2009-10-02 13:03:58 UTC
Fixed. Thanks.

SRPM URL:
http://orion.lcg.ufrj.br/RPMS/src/fapg-0.41-2.fc10.src.rpm

Spec URL: http://orion.lcg.ufrj.br/RPMS/SPECS/fapg.spec

Comment 3 Martin Gieseking 2009-10-03 18:18:33 UTC
Here's my full review. The package is rather small and I couldn't find any further issues to be fixed. However, you should call "make" with %{?_smp_mflags}. Remove it only if it introduces problems with building the package (see https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make).

$ rpmlint /var/lib/mock/fedora-11-x86_64/result
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.

[+] MUST: The spec file name must match the base package %{name}.

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2+ according to source file header

[+] MUST: The License field in the package spec file must match the actual license.

[+] MUST: File(s) containing the text of the license(s) for the package must be included in %doc.
    - COPYING added to %doc

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ sha1sum fapg-0.41.tar.gz*
    575bb2b4c6310da3ad2da4fdb3620889961657cf  fapg-0.41.tar.gz
    575bb2b4c6310da3ad2da4fdb3620889961657cf  fapg-0.41.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1725932 

[.] MUST: If the package does not successfully compile, ...

[+] MUST: All build dependencies must be listed in BuildRequires.

[.] MUST: The spec file MUST handle locales properly. 
    - no locales

[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[.] MUST: If the package is designed to be relocatable, ...
    - not relocatable

[+] MUST: A package must own all directories that it creates. 

[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+] MUST: Permissions on files must be set properly.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.

[+] MUST: Each package must consistently use macros.

[+] MUST: The package must contain code, or permissable content.

[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs

[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.

[.] MUST: Header files must be in a -devel package.
    - no header files

[.] MUST: Static libraries must be in a -static package.
    - no static libs

[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    - no .pc files
  
[.] MUST: .so (without suffix) must go in a -devel package.
    - no shared libs

[.] MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
    - no devel package

[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
    - no .la files

[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
    - no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.

[+] MUST: All filenames in rpm packages must be valid UTF-8.


[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - builds in koji

[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    - seems to work as expected

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
    - no scriptlets

[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    - no subpackages

[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
    - no .pc files

Comment 4 Paulo Roma Cavalcanti 2009-10-04 01:04:30 UTC
(In reply to comment #3)
> Here's my full review. The package is rather small and I couldn't find any
> further issues to be fixed. However, you should call "make" with
> %{?_smp_mflags}. Remove it only if it introduces problems with building the
> package (see
> https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make).
> 
> $ rpmlint /var/lib/mock/fedora-11-x86_64/result
> 3 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 

Fixed. Using 

make %{?_smp_mflags}

Same URLS.

Thanks.

Comment 5 Martin Gieseking 2009-10-04 06:07:19 UTC
> Fixed. Using  
> make %{?_smp_mflags}

OK, fine.

------------------------
The package is APPROVED.
------------------------

Comment 6 Paulo Roma Cavalcanti 2009-10-04 09:00:27 UTC
New Package CVS Request
=======================
Package Name: fapg
Short Description: Fast Audio Playlist Generator
Owners: roma
Branches: F-10 F-11
InitialCC: roma

Comment 7 Kevin Fenzi 2009-10-06 17:43:12 UTC
cvs done with F-12 branch added.


Note You need to log in before you can comment on or make changes to this bug.